#!/bin/bash
APACHE_CONF="/etc/apache2/sites-available/000-default.conf"

a2enmod ssl
a2ensite default-ssl

mkdir -p /etc/apache2/ssl
openssl req -x509 -nodes -days 365 -newkey rsa:2048 \
    -keyout /etc/apache2/ssl/apache.key \
    -out /etc/apache2/ssl/apache.crt \
    -subj "/C=US/ST=State/L=City/O=Organization/OU=Unit/CN=wev.ssb"

echo '
<VirtualHost *:443>
    ServerAdmin admin@localhost

    DocumentRoot /var/www/web.ssb
    ServerName web.ssb
    ServerAlias www.web.ssb
    SSLEngine on
    SSLCertificateFile /etc/apache2/ssl/apache.crt
    SSLCertificateKeyFile /etc/apache2/ssl/apache.key
    ErrorLog ${APACHE_LOG_DIR}/error.log
    CustomLog ${APACHE_LOG_DIR}/access.log combined

    <Directory "/var/www/web.ssb">
        AuthType Basic
        AuthName "Restricted Content"
        AuthUserFile /etc/apache2/.htpasswd
        Require valid-user
    </Directory>
</VirtualHost>
' > $APACHE_CONF

htpasswd -cb /etc/apache2/.htpasswd test admin 

service apache2 restart

